#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c[2];
    scanf("%s",&c);
    char c1 = c[0];
    char c2 = c[1];
    int a1,a2,i;
    scanf("%d %d",&a1,&a2);
    if(c1==c2){
        printf("nemoguce");
        return 0;
    }
    else if(a1==a2){
        for(i=0;i<a1;i++){
            printf("%c%c",c1,c2);
        }
        return 0;
    }


    else if(a1==a2+1){
        for(i=0;i<a1;i++){
            printf("%c",c1);
            if(i!=a2){
                printf("%c",c2);
            }
        }
        return 0;
    }


        else if(a2==a1+1){
        for(i=0;i<a2;i++){
            printf("%c",c2);
            if(i!=a1){
                printf("%c",c1);
            }
        }
        return 0;
    }

    else{
        printf("nemoguce");
        return 0;
    }
        return 0;
}